> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/fleet-intel/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/fleet-intel/_mcp/server.

# Get available query options for node groups

GET /v1/nodegroups/options

Returns available filters and sorting options for querying node groups.
Filter options may be simple strings (e.g., health statuses, GPU types) or hierarchical objects (e.g., compute zones with nested nodegroups).

Filter options examples:
- Simple strings: `{"name": "healthStatuses", "options": ["Healthy", "Degraded", "Unhealthy"]}`
- Hierarchical objects: `{"name": "computeZones", "options": [{"id": "cz-1", "value": "Zone 1", "options": [{"id": "ng-1", "value": "Node Group 1"}]}]}`

Reference: https://docs.nvidia.com/fleet-intel/fleet-intel/api-explorer/nodegroups/get-v-1-nodegroups-options

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: fleet-intelligence
  version: 1.0.0
paths:
  /v1/nodegroups/options:
    get:
      operationId: getV1NodegroupsOptions
      summary: Get available query options for node groups
      description: >-
        Returns available filters and sorting options for querying node groups.

        Filter options may be simple strings (e.g., health statuses, GPU types)
        or hierarchical objects (e.g., compute zones with nested nodegroups).


        Filter options examples:

        - Simple strings: `{"name": "healthStatuses", "options": ["Healthy",
        "Degraded", "Unhealthy"]}`

        - Hierarchical objects: `{"name": "computeZones", "options": [{"id":
        "cz-1", "value": "Zone 1", "options": [{"id": "ng-1", "value": "Node
        Group 1"}]}]}`
      tags:
        - nodegroups
      responses:
        '200':
          description: Available query options including filters and sorting configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Options'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '403':
          description: Forbidden - UAM authorization denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '499':
          description: Client Closed Request - request was canceled by the client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
components:
  schemas:
    models.FilterOption:
      type: object
      properties: {}
      title: models.FilterOption
    models.FilterField:
      type: object
      properties:
        name:
          type: string
        options:
          type: array
          items:
            $ref: '#/components/schemas/models.FilterOption'
      title: models.FilterField
    models.FilterOptions:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/models.FilterField'
      title: models.FilterOptions
    models.SortingDefaults:
      type: object
      properties:
        field:
          type: string
        order:
          type: string
      title: models.SortingDefaults
    models.SortingOptions:
      type: object
      properties:
        defaults:
          $ref: '#/components/schemas/models.SortingDefaults'
        fields:
          type: array
          items:
            type: string
        orders:
          type: array
          items:
            type: string
      title: models.SortingOptions
    models.Options:
      type: object
      properties:
        filters:
          $ref: '#/components/schemas/models.FilterOptions'
        sorting:
          $ref: '#/components/schemas/models.SortingOptions'
      title: models.Options
    models.KASRequestStatus:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID for tracing
        statusCode:
          type: string
          description: Status code from KAS
        statusDescription:
          type: string
          description: Status description from KAS
      description: >-
        RequestStatus contains KAS-specific error details

        This is added to reflect the field in OpenAPI docs for UI reference and
        not populated by our code

        If KAS returns an error, the request will not be forwarded to the
        backend
      title: models.KASRequestStatus
    models.ErrorResponse:
      type: object
      properties:
        details:
          type: string
          description: Detailed error information
        error:
          type: string
          description: Error message or type
        requestStatus:
          $ref: '#/components/schemas/models.KASRequestStatus'
      description: >-
        Standard error response returned by all API endpoints. For KAS API
        errors, requestStatus fields are populated.
      title: models.ErrorResponse

```

## Examples



**Response**

```json
{
  "filters": {
    "fields": [
      {
        "name": "healthStatuses",
        "options": [
          {}
        ]
      }
    ]
  },
  "sorting": {
    "defaults": {
      "field": "createdAt",
      "order": "desc"
    },
    "fields": [
      "createdAt",
      "nodeUUID",
      "healthStatus"
    ],
    "orders": [
      "asc",
      "desc"
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/nodegroups/options"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/nodegroups/options';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/nodegroups/options"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/nodegroups/options")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/v1/nodegroups/options")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/v1/nodegroups/options');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/nodegroups/options");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/nodegroups/options")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```